#!/bin/bash

# Tracer installation directory
INSTALL=

#========================== No need to edit anything from here =========================

# Version of program
VERSION=0.5

if [ ! -n "$JAVA_HOME" ]
then echo "You have to set JAVA_HOME to point to your java installation"
exit 128;
fi

LIBDIR=${INSTALL}/lib

for jar in $( find $LIBDIR -name "*.jar" | sort -r )
do
    CLASSPATH=$jar:${CLASSPATH}
done

# remove last ':'
CLASSPATH=${CLASSPATH:0:${#CLASSPATH} - 1}


$JAVA_HOME/bin/java -Xmx1000M -Xbootclasspath/a:$CLASSPATH -javaagent:$INSTALL/lib/adabu-tracer-$VERSION.jar "$@"
